snd_ctl_remove_id
Prev | Chapter 24. Sound Devices | Next

## Name

snd_ctl_remove_id — remove the control of the given id and release it

## Synopsis

`int snd_ctl_remove_id (` | struct snd_card * | card,
| struct snd_ctl_elem_id * | id`)`;

## Arguments

`card`

  the card instance

`id`

  the control id to remove

## Description

Finds the control instance with the given id, removes it from the card list and releases it.

Returns 0 if successful, or a negative error code on failure.

Prev | Up | Next
snd_ctl_remove | Home | snd_ctl_rename_id